Subject: Re: New API for non cache coherent ppc cpu's

From: Roman Zippel <[email-masked]>
Date: Fri, 23 Nov 2001 00:54:02 +0100

Hi,

Dan Malek wrote:

> For non-PCI devices,
> I call the consistent_* functions, which other architectures support
> and do as well.  So, we kind of have a common interface here for non-PCI
> devices as well.
>
> I stole all of this cache coherency stuff from ARM and Sparc (or MIPS,
> I don't remember) when I did it the first time.

The only other architecture which defines it is ARM?!
The only API which exists at least as dummys everywhere is
dma_cache_(inv|wback).

bye, Roman

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/